## ShellMountOperation

ShellMountOperation

## Synopsis

    struct              ShellMountOperation;
    struct              ShellMountOperationClass;
    gchar **            shell_mount_operation_get_show_processes_choices
                                                            (ShellMountOperation *self);
    gchar *             shell_mount_operation_get_show_processes_message
                                                            (ShellMountOperation *self);
    GArray *            shell_mount_operation_get_show_processes_pids
                                                            (ShellMountOperation *self);
    GMountOperation *   shell_mount_operation_new           (void);

## Object Hierarchy

      GObject
       +----GMountOperation
             +----ShellMountOperation

## Signals

      "show-processes-2"                               : Run Last

## Description

## Details

### struct ShellMountOperation

    struct ShellMountOperation;

### struct ShellMountOperationClass

    struct ShellMountOperationClass {
      GMountOperationClass parent_class;
    };

### shell_mount_operation_get_show_processes_choices ()

    gchar **            shell_mount_operation_get_show_processes_choices
                                                            (ShellMountOperation *self);

`self` : | a ShellMountOperation
Returns : | . [transfer full]

### shell_mount_operation_get_show_processes_message ()

    gchar *             shell_mount_operation_get_show_processes_message
                                                            (ShellMountOperation *self);

`self` : | a ShellMountOperation
Returns : | . [transfer full]

### shell_mount_operation_get_show_processes_pids ()

    GArray *            shell_mount_operation_get_show_processes_pids
                                                            (ShellMountOperation *self);

`self` : | a ShellMountOperation
Returns : | a GArray. [transfer full][element-type GPid]

### shell_mount_operation_new ()

    GMountOperation *   shell_mount_operation_new           (void);

## Signal Details

### The `"show-processes-2"` signal

    void                user_function                      (ShellMountOperation *shellmountoperation,
                                                            gpointer             user_data)                : Run Last